/*****************************************************************************************

  NeoTextBox.h - include file for NeoTextBox

  Written by Bryan K. Ressler (Beaker)

*****************************************************************************************/

#include <Quickdraw.h>

/** DEFINES *****************************************************************************/
#define ntbJustFull			128			/* Full justification */
#define kReturnChar			0x0d		/* Carriage return character */

/** MACROS ******************************************************************************/
#define MAXOF(a,b)	(((a) > (b)) ? (a) : (b))

/** PUBLIC PROTOTYPES *******************************************************************/

#ifdef __cplusplus
extern "C"
{
#endif

	short NeoTextBox(unsigned char const* theText,
					 unsigned long textLen,
					 const Rect* box,
					 short just,
					 short htCode,
					 short* endY,
					 short* lhUsed);

#ifdef __cplusplus
}
#endif


