//--------------------------------------------------------------------------------------------
//  Init Declarations
//
//      by Philip McBride
//
//--------------------------------------------------------------------------------------------


//--------------------------------------------------------------------------------------------
// defines
//
#define HiWrd(aLong)	(((aLong) >> 16) & 0xFFFF)
#define LoWrd(aLong)	((aLong) & 0xFFFF)
#define kMyMenuBar	128

//--------------------------------------------------------------------------------------------
// menu id's
//
enum {
	mApple = 128,
	mFile,
	mView
} ;

//--------------------------------------------------------------------------------------------
// command id's, Apple menu
//
enum {
	iAbout = 1
} ;

//--------------------------------------------------------------------------------------------
// command id's, File menu
//
enum {
	iOpen = 1,
	iUnused1,
	iClose,
	iUnused2,
	iQuit
} ;

//--------------------------------------------------------------------------------------------
// command id's, Edit menu
//
enum {
	iWireframe = 1,
	iInteractive
} ;

//--------------------------------------------------------------------------------------------
// Alert and About id's
//
enum {
	kMyAboutDialogID = 128,
	kMyStopAlertID = 512
} ;

//--------------------------------------------------------------------------------------------
// function prototypes
//
Boolean SupportsAEVT(void);
void 	RegisterMyEvents(void);
void 	InitAEStuff( void );
void 	DeallocateGlobals(void);
void 	InitializeGlobals(void);
void 	InitializeToolbox(void);
Boolean	myTrapAvailable(short theTrap);
void	MyAdjustMenus(void);
