/*
  File:			InternetAssistantApplication.cp

  Contains:		InternetAssistant: an assistant to set-up basic Internet configuration

  Written by: 	Arno Gourdol

  Copyright:	Copyright 1996 by Apple Computer, Inc., all rights reserved.

*/

#include "InternetAssistantApplication.h"

#include "assert.h"


// --------------------------------------------------------------------
// QuitRequested
// --------------------------------------------------------------------

Boolean TInternetAssistant::QuitRequested(void)
{
	SInt16 itemHit = StopAlert(kQuitConfirmationDialog, NULL);
	
	return (itemHit == 1);
}



// --------------------------------------------------------------------
// main
// --------------------------------------------------------------------

void main()
{
	TInternetAssistant app;

	TInternetAssistantDialog assistant(&app);
	assistant.Show();

	app.Run();
}
